diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/default-filters.php ./wordpress-3.4/wp-includes/default-filters.php
*** ./wordpress-3.3.2/wp-includes/default-filters.php	2011-12-03 03:35:38.000000000 -0600
--- ./wordpress-3.4/wp-includes/default-filters.php	2012-06-10 12:58:57.000000000 -0500
***************
*** 79,88 ****
  }
  
  // Keys
! foreach ( array( 'pre_post_type' ) as $filter ) {
! 	add_filter( $filter, 'sanitize_user' );
! }
! foreach ( array( 'pre_post_status', 'pre_post_comment_status', 'pre_post_ping_status' ) as $filter ) {
  	add_filter( $filter, 'sanitize_key' );
  }
  
--- 79,85 ----
  }
  
  // Keys
! foreach ( array( 'pre_post_type', 'pre_post_status', 'pre_post_comment_status', 'pre_post_ping_status' ) as $filter ) {
  	add_filter( $filter, 'sanitize_key' );
  }
  
***************
*** 193,198 ****
--- 190,196 ----
  add_filter( 'comments_open',            '_close_comments_for_old_post', 10, 2 );
  add_filter( 'pings_open',               '_close_comments_for_old_post', 10, 2 );
  add_filter( 'editable_slug',            'urldecode'                           );
+ add_filter( 'editable_slug',            'esc_textarea'                        );
  add_filter( 'nav_menu_meta_box_object', '_wp_nav_menu_meta_box_object'        );
  
  // Actions
***************
*** 231,237 ****
  
  // WP Cron
  if ( !defined( 'DOING_CRON' ) )
! 	add_action( 'sanitize_comment_cookies', 'wp_cron' );
  
  // 2 Actions 2 Furious
  add_action( 'do_feed_rdf',                'do_feed_rdf',                             10, 1 );
--- 229,235 ----
  
  // WP Cron
  if ( !defined( 'DOING_CRON' ) )
! 	add_action( 'init', 'wp_cron' );
  
  // 2 Actions 2 Furious
  add_action( 'do_feed_rdf',                'do_feed_rdf',                             10, 1 );
***************
*** 240,245 ****
--- 238,244 ----
  add_action( 'do_feed_atom',               'do_feed_atom',                            10, 1 );
  add_action( 'do_pings',                   'do_all_pings',                            10, 1 );
  add_action( 'do_robots',                  'do_robots'                                      );
+ add_action( 'set_comment_cookies',        'wp_set_comment_cookies',                  10, 2 );
  add_action( 'sanitize_comment_cookies',   'sanitize_comment_cookies'                       );
  add_action( 'admin_print_scripts',        'print_head_scripts',                      20    );
  add_action( 'admin_print_footer_scripts', '_wp_footer_scripts'                             );
***************
*** 255,260 ****
--- 254,260 ----
  add_action( 'transition_post_status',     '_update_term_count_on_transition_post_status', 10, 3 );
  add_action( 'comment_form',               'wp_comment_form_unfiltered_html_nonce'          );
  add_action( 'wp_scheduled_delete',        'wp_scheduled_delete'                            );
+ add_action( 'wp_scheduled_auto_draft_delete', 'wp_delete_auto_drafts'                      );
  add_action( 'admin_init',                 'send_frame_options_header',               10, 0 );
  add_action( 'importer_scheduled_cleanup', 'wp_delete_attachment'                           );
  add_action( 'upgrader_scheduled_cleanup', 'wp_delete_attachment'                           );
***************
*** 283,287 ****
  add_action( 'admin_color_scheme_picker', 'admin_color_scheme_picker' );
  
  unset($filter, $action);
- 
- ?>
--- 283,285 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/default-widgets.php ./wordpress-3.4/wp-includes/default-widgets.php
*** ./wordpress-3.3.2/wp-includes/default-widgets.php	2011-11-07 11:28:20.000000000 -0600
--- ./wordpress-3.4/wp-includes/default-widgets.php	2012-03-24 09:00:52.000000000 -0500
***************
*** 102,113 ****
  		$show_rating = isset($instance['rating']) ? $instance['rating'] : false;
  		$show_images = isset($instance['images']) ? $instance['images'] : true;
  		$category = isset($instance['category']) ? $instance['category'] : false;
! 
! 		if ( is_admin() && !$category ) {
! 			// Display All Links widget as such in the widgets screen
! 			echo $before_widget . $before_title . _x('All Links', 'links widget') . $after_title . $after_widget;
! 			return;
! 		}
  
  		$before_widget = preg_replace('/id="[^"]*"/','id="%id"', $before_widget);
  		wp_list_bookmarks(apply_filters('widget_links_args', array(
--- 102,110 ----
  		$show_rating = isset($instance['rating']) ? $instance['rating'] : false;
  		$show_images = isset($instance['images']) ? $instance['images'] : true;
  		$category = isset($instance['category']) ? $instance['category'] : false;
! 		$orderby = isset( $instance['orderby'] ) ? $instance['orderby'] : 'name';
! 		$order = $orderby == 'rating' ? 'DESC' : 'ASC';
! 		$limit = isset( $instance['limit'] ) ? $instance['limit'] : -1;
  
  		$before_widget = preg_replace('/id="[^"]*"/','id="%id"', $before_widget);
  		wp_list_bookmarks(apply_filters('widget_links_args', array(
***************
*** 115,132 ****
  			'category_before' => $before_widget, 'category_after' => $after_widget,
  			'show_images' => $show_images, 'show_description' => $show_description,
  			'show_name' => $show_name, 'show_rating' => $show_rating,
! 			'category' => $category, 'class' => 'linkcat widget'
  		)));
  	}
  
  	function update( $new_instance, $old_instance ) {
  		$new_instance = (array) $new_instance;
! 		$instance = array( 'images' => 0, 'name' => 0, 'description' => 0, 'rating' => 0);
  		foreach ( $instance as $field => $val ) {
  			if ( isset($new_instance[$field]) )
  				$instance[$field] = 1;
  		}
! 		$instance['category'] = intval($new_instance['category']);
  
  		return $instance;
  	}
--- 112,137 ----
  			'category_before' => $before_widget, 'category_after' => $after_widget,
  			'show_images' => $show_images, 'show_description' => $show_description,
  			'show_name' => $show_name, 'show_rating' => $show_rating,
! 			'category' => $category, 'class' => 'linkcat widget',
! 			'orderby' => $orderby, 'order' => $order,
! 			'limit' => $limit,
  		)));
  	}
  
  	function update( $new_instance, $old_instance ) {
  		$new_instance = (array) $new_instance;
! 		$instance = array( 'images' => 0, 'name' => 0, 'description' => 0, 'rating' => 0 );
  		foreach ( $instance as $field => $val ) {
  			if ( isset($new_instance[$field]) )
  				$instance[$field] = 1;
  		}
! 
! 		$instance['orderby'] = 'name';
! 		if ( in_array( $new_instance['orderby'], array( 'name', 'rating', 'id', 'rand' ) ) )
! 			$instance['orderby'] = $new_instance['orderby'];
! 
! 		$instance['category'] = intval( $new_instance['category'] );
! 		$instance['limit'] = ! empty( $new_instance['limit'] ) ? intval( $new_instance['limit'] ) : -1;
  
  		return $instance;
  	}
***************
*** 134,144 ****
  	function form( $instance ) {
  
  		//Defaults
! 		$instance = wp_parse_args( (array) $instance, array( 'images' => true, 'name' => true, 'description' => false, 'rating' => false, 'category' => false ) );
! 		$link_cats = get_terms( 'link_category');
  ?>
  		<p>
! 		<label for="<?php echo $this->get_field_id('category'); ?>" class="screen-reader-text"><?php _e('Select Link Category'); ?></label>
  		<select class="widefat" id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>">
  		<option value=""><?php _ex('All Links', 'links widget'); ?></option>
  		<?php
--- 139,151 ----
  	function form( $instance ) {
  
  		//Defaults
! 		$instance = wp_parse_args( (array) $instance, array( 'images' => true, 'name' => true, 'description' => false, 'rating' => false, 'category' => false, 'orderby' => 'name', 'limit' => -1 ) );
! 		$link_cats = get_terms( 'link_category' );
! 		if ( ! $limit = intval( $instance['limit'] ) )
! 			$limit = -1;
  ?>
  		<p>
! 		<label for="<?php echo $this->get_field_id('category'); ?>"><?php _e( 'Select Link Category:' ); ?></label>
  		<select class="widefat" id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>">
  		<option value=""><?php _ex('All Links', 'links widget'); ?></option>
  		<?php
***************
*** 148,154 ****
  				. '>' . $link_cat->name . "</option>\n";
  		}
  		?>
! 		</select></p>
  		<p>
  		<input class="checkbox" type="checkbox" <?php checked($instance['images'], true) ?> id="<?php echo $this->get_field_id('images'); ?>" name="<?php echo $this->get_field_name('images'); ?>" />
  		<label for="<?php echo $this->get_field_id('images'); ?>"><?php _e('Show Link Image'); ?></label><br />
--- 155,169 ----
  				. '>' . $link_cat->name . "</option>\n";
  		}
  		?>
! 		</select>
! 		<label for="<?php echo $this->get_field_id('orderby'); ?>"><?php _e( 'Sort by:' ); ?></label>
! 		<select name="<?php echo $this->get_field_name('orderby'); ?>" id="<?php echo $this->get_field_id('orderby'); ?>" class="widefat">
! 			<option value="name"<?php selected( $instance['orderby'], 'name' ); ?>><?php _e( 'Link title' ); ?></option>
! 			<option value="rating"<?php selected( $instance['orderby'], 'rating' ); ?>><?php _e( 'Link rating' ); ?></option>
! 			<option value="id"<?php selected( $instance['orderby'], 'id' ); ?>><?php _e( 'Link ID' ); ?></option>
! 			<option value="rand"<?php selected( $instance['orderby'], 'rand' ); ?>><?php _e( 'Random' ); ?></option>
! 		</select>
! 		</p>
  		<p>
  		<input class="checkbox" type="checkbox" <?php checked($instance['images'], true) ?> id="<?php echo $this->get_field_id('images'); ?>" name="<?php echo $this->get_field_name('images'); ?>" />
  		<label for="<?php echo $this->get_field_id('images'); ?>"><?php _e('Show Link Image'); ?></label><br />
***************
*** 159,164 ****
--- 174,183 ----
  		<input class="checkbox" type="checkbox" <?php checked($instance['rating'], true) ?> id="<?php echo $this->get_field_id('rating'); ?>" name="<?php echo $this->get_field_name('rating'); ?>" />
  		<label for="<?php echo $this->get_field_id('rating'); ?>"><?php _e('Show Link Rating'); ?></label>
  		</p>
+ 		<p>
+ 		<label for="<?php echo $this->get_field_id('limit'); ?>"><?php _e( 'Number of links to show:' ); ?></label>
+ 		<input id="<?php echo $this->get_field_id('limit'); ?>" name="<?php echo $this->get_field_name('limit'); ?>" type="text" value="<?php echo $limit == -1 ? '' : intval( $limit ); ?>" size="3" />
+ 		</p>
  <?php
  	}
  }
***************
*** 296,302 ****
  			<li><?php wp_loginout(); ?></li>
  			<li><a href="<?php bloginfo('rss2_url'); ?>" title="<?php echo esc_attr(__('Syndicate this site using RSS 2.0')); ?>"><?php _e('Entries <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
  			<li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php echo esc_attr(__('The latest comments to all posts in RSS')); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
! 			<li><a href="http://wordpress.org/" title="<?php echo esc_attr(__('Powered by WordPress, state-of-the-art semantic personal publishing platform.')); ?>">WordPress.org</a></li>
  			<?php wp_meta(); ?>
  			</ul>
  <?php
--- 315,324 ----
  			<li><?php wp_loginout(); ?></li>
  			<li><a href="<?php bloginfo('rss2_url'); ?>" title="<?php echo esc_attr(__('Syndicate this site using RSS 2.0')); ?>"><?php _e('Entries <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
  			<li><a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php echo esc_attr(__('The latest comments to all posts in RSS')); ?>"><?php _e('Comments <abbr title="Really Simple Syndication">RSS</abbr>'); ?></a></li>
! 			<li><a href="<?php esc_attr_e( 'http://wordpress.org/' ); ?>" title="<?php echo esc_attr(__('Powered by WordPress, state-of-the-art semantic personal publishing platform.')); ?>"><?php
! 			/* translators: meta widget link text */
! 			_e( 'WordPress.org' );
! 			?></a></li>
  			<?php wp_meta(); ?>
  			</ul>
  <?php
***************
*** 540,546 ****
  		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 10;
  
! 		$r = new WP_Query(array('posts_per_page' => $number, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true));
  		if ($r->have_posts()) :
  ?>
  		<?php echo $before_widget; ?>
--- 562,568 ----
  		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 10;
  
! 		$r = new WP_Query( apply_filters( 'widget_posts_args', array( 'posts_per_page' => $number, 'no_found_rows' => true, 'post_status' => 'publish', 'ignore_sticky_posts' => true ) ) );
  		if ($r->have_posts()) :
  ?>
  		<?php echo $before_widget; ?>
***************
*** 646,652 ****
  		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 5;
  
! 		$comments = get_comments( array( 'number' => $number, 'status' => 'approve', 'post_status' => 'publish' ) );
  		$output .= $before_widget;
  		if ( $title )
  			$output .= $before_title . $title . $after_title;
--- 668,674 ----
  		if ( empty( $instance['number'] ) || ! $number = absint( $instance['number'] ) )
   			$number = 5;
  
! 		$comments = get_comments( apply_filters( 'widget_comments_args', array( 'number' => $number, 'status' => 'approve', 'post_status' => 'publish' ) ) );
  		$output .= $before_widget;
  		if ( $title )
  			$output .= $before_title . $title . $after_title;
***************
*** 1033,1039 ****
  	<input type="text" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php if (isset ( $instance['title'])) {echo esc_attr( $instance['title'] );} ?>" /></p>
  	<p><label for="<?php echo $this->get_field_id('taxonomy'); ?>"><?php _e('Taxonomy:') ?></label>
  	<select class="widefat" id="<?php echo $this->get_field_id('taxonomy'); ?>" name="<?php echo $this->get_field_name('taxonomy'); ?>">
! 	<?php foreach ( get_object_taxonomies('post') as $taxonomy ) :
  				$tax = get_taxonomy($taxonomy);
  				if ( !$tax->show_tagcloud || empty($tax->labels->name) )
  					continue;
--- 1053,1059 ----
  	<input type="text" class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php if (isset ( $instance['title'])) {echo esc_attr( $instance['title'] );} ?>" /></p>
  	<p><label for="<?php echo $this->get_field_id('taxonomy'); ?>"><?php _e('Taxonomy:') ?></label>
  	<select class="widefat" id="<?php echo $this->get_field_id('taxonomy'); ?>" name="<?php echo $this->get_field_name('taxonomy'); ?>">
! 	<?php foreach ( get_taxonomies() as $taxonomy ) :
  				$tax = get_taxonomy($taxonomy);
  				if ( !$tax->show_tagcloud || empty($tax->labels->name) )
  					continue;
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/feed-atom-comments.php ./wordpress-3.4/wp-includes/feed-atom-comments.php
*** ./wordpress-3.3.2/wp-includes/feed-atom-comments.php	2011-09-19 07:39:59.000000000 -0500
--- ./wordpress-3.4/wp-includes/feed-atom-comments.php	2012-01-29 13:56:33.000000000 -0600
***************
*** 10,16 ****
  ?>
  <feed
  	xmlns="http://www.w3.org/2005/Atom"
! 	xml:lang="<?php echo get_option('rss_language'); ?>"
  	xmlns:thr="http://purl.org/syndication/thread/1.0"
  	<?php do_action('atom_ns'); do_action('atom_comments_ns'); ?>
  >
--- 10,16 ----
  ?>
  <feed
  	xmlns="http://www.w3.org/2005/Atom"
! 	xml:lang="<?php bloginfo_rss( 'language' ); ?>"
  	xmlns:thr="http://purl.org/syndication/thread/1.0"
  	<?php do_action('atom_ns'); do_action('atom_comments_ns'); ?>
  >
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/feed-atom.php ./wordpress-3.4/wp-includes/feed-atom.php
*** ./wordpress-3.3.2/wp-includes/feed-atom.php	2011-04-17 02:39:41.000000000 -0500
--- ./wordpress-3.4/wp-includes/feed-atom.php	2012-01-29 13:56:33.000000000 -0600
***************
*** 12,18 ****
  <feed
    xmlns="http://www.w3.org/2005/Atom"
    xmlns:thr="http://purl.org/syndication/thread/1.0"
!   xml:lang="<?php echo get_option('rss_language'); ?>"
    xml:base="<?php bloginfo_rss('url') ?>/wp-atom.php"
    <?php do_action('atom_ns'); ?>
   >
--- 12,18 ----
  <feed
    xmlns="http://www.w3.org/2005/Atom"
    xmlns:thr="http://purl.org/syndication/thread/1.0"
!   xml:lang="<?php bloginfo_rss( 'language' ); ?>"
    xml:base="<?php bloginfo_rss('url') ?>/wp-atom.php"
    <?php do_action('atom_ns'); ?>
   >
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/feed.php ./wordpress-3.4/wp-includes/feed.php
*** ./wordpress-3.3.2/wp-includes/feed.php	2011-11-20 12:32:42.000000000 -0600
--- ./wordpress-3.4/wp-includes/feed.php	2012-01-09 15:20:51.000000000 -0600
***************
*** 424,430 ****
  	foreach ( (array) get_post_custom() as $key => $val ) {
  		if ($key == 'enclosure') {
  			foreach ( (array) $val as $enc ) {
! 				$enclosure = split("\n", $enc);
  				echo apply_filters('atom_enclosure', '<link href="' . trim(htmlspecialchars($enclosure[0])) . '" rel="enclosure" length="' . trim($enclosure[1]) . '" type="' . trim($enclosure[2]) . '" />' . "\n");
  			}
  		}
--- 424,430 ----
  	foreach ( (array) get_post_custom() as $key => $val ) {
  		if ($key == 'enclosure') {
  			foreach ( (array) $val as $enc ) {
! 				$enclosure = explode("\n", $enc);
  				echo apply_filters('atom_enclosure', '<link href="' . trim(htmlspecialchars($enclosure[0])) . '" rel="enclosure" length="' . trim($enclosure[1]) . '" type="' . trim($enclosure[2]) . '" />' . "\n");
  			}
  		}
***************
*** 489,496 ****
  	$host = @parse_url(home_url());
  	$host = $host['host'];
  	echo esc_url(
! 		'http'
! 		. ( (isset($_SERVER['https']) && $_SERVER['https'] == 'on') ? 's' : '' ) . '://'
  		. $host
  		. stripslashes($_SERVER['REQUEST_URI'])
  		);
--- 489,495 ----
  	$host = @parse_url(home_url());
  	$host = $host['host'];
  	echo esc_url(
! 		( is_ssl() ? 'https' : 'http' ) . '://'
  		. $host
  		. stripslashes($_SERVER['REQUEST_URI'])
  		);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/feed-rss2.php ./wordpress-3.4/wp-includes/feed-rss2.php
*** ./wordpress-3.3.2/wp-includes/feed-rss2.php	2010-10-26 15:15:18.000000000 -0500
--- ./wordpress-3.4/wp-includes/feed-rss2.php	2012-01-29 13:56:33.000000000 -0600
***************
*** 26,32 ****
  	<link><?php bloginfo_rss('url') ?></link>
  	<description><?php bloginfo_rss("description") ?></description>
  	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
! 	<language><?php echo get_option('rss_language'); ?></language>
  	<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></sy:updatePeriod>
  	<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></sy:updateFrequency>
  	<?php do_action('rss2_head'); ?>
--- 26,32 ----
  	<link><?php bloginfo_rss('url') ?></link>
  	<description><?php bloginfo_rss("description") ?></description>
  	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
! 	<language><?php bloginfo_rss( 'language' ); ?></language>
  	<sy:updatePeriod><?php echo apply_filters( 'rss_update_period', 'hourly' ); ?></sy:updatePeriod>
  	<sy:updateFrequency><?php echo apply_filters( 'rss_update_frequency', '1' ); ?></sy:updateFrequency>
  	<?php do_action('rss2_head'); ?>
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/feed-rss.php ./wordpress-3.4/wp-includes/feed-rss.php
*** ./wordpress-3.3.2/wp-includes/feed-rss.php	2010-02-13 10:45:16.000000000 -0600
--- ./wordpress-3.4/wp-includes/feed-rss.php	2012-01-29 13:56:33.000000000 -0600
***************
*** 16,22 ****
  	<description><?php bloginfo_rss('description') ?></description>
  	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
  	<docs>http://backend.userland.com/rss092</docs>
! 	<language><?php echo get_option('rss_language'); ?></language>
  	<?php do_action('rss_head'); ?>
  
  <?php while (have_posts()) : the_post(); ?>
--- 16,22 ----
  	<description><?php bloginfo_rss('description') ?></description>
  	<lastBuildDate><?php echo mysql2date('D, d M Y H:i:s +0000', get_lastpostmodified('GMT'), false); ?></lastBuildDate>
  	<docs>http://backend.userland.com/rss092</docs>
! 	<language><?php bloginfo_rss( 'language' ); ?></language>
  	<?php do_action('rss_head'); ?>
  
  <?php while (have_posts()) : the_post(); ?>
